Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.expression.el
Class SpringBeanWebFlowELResolver

    java.lang.Object
      javax.el.ELResolver
          org.springframework.beans.factory.access.el.SpringBeanELResolver
              org.springframework.webflow.expression.el.SpringBeanWebFlowELResolver

    public class SpringBeanWebFlowELResolver

extends org.springframework.beans.factory.access.el.SpringBeanELResolver

EL resolver for resolving Spring Beans accessible by a flow's bean factory.

Author:
  Jeremy Grelle

Field Summary

Fields inherited from class org.springframework.beans.factory.access.el.SpringBeanELResolver
`logger`

Fields inherited from class javax.el.ELResolver
`RESOLVABLE_AT_DESIGN_TIME, TYPE`

Constructor Summary
`SpringBeanWebFlowELResolver()`
`SpringBeanWebFlowELResolver(RequestContext context)`

Method Summary
`protected org.springframework.beans.factory.BeanFactory` | `getBeanFactory(javax.el.ELContext elContext)`
`protected RequestContext` | `getRequestContext()`

Methods inherited from class org.springframework.beans.factory.access.el.SpringBeanELResolver
`getCommonPropertyType, getFeatureDescriptors, getType, getValue, isReadOnly, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringBeanWebFlowELResolver

    public SpringBeanWebFlowELResolver()

### SpringBeanWebFlowELResolver

    public SpringBeanWebFlowELResolver(RequestContext context)

Method Detail

### getBeanFactory

    protected org.springframework.beans.factory.BeanFactory getBeanFactory(javax.el.ELContext elContext)

  Specified by:
    `getBeanFactory` in class `org.springframework.beans.factory.access.el.SpringBeanELResolver`

### getRequestContext

    protected RequestContext getRequestContext()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD